[![All Contributors](https://img.shields.io/badge/all_contributors-29-orange.svg?style=flat-square)](#contributors)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/creating-a-pull-request)
[![first-timers-only](https://img.shields.io/badge/first--timers--only-friendly-blue.svg?style=flat-square)](https://www.firsttimersonly.com/)
[![License](assets/lppl-1.3c.svg)](https://spdx.org/licenses/LPPL-1.3c.html)

# EuropeCV

TeX code associated to the EuropeCV [CTAN repository](https://ctan.org/pkg/europecv).

# Maintainer

This project is maintained by **Giuseppe Silano**.  
Feel free to reach out via email [@gsilano](https://giuseppesilano.net/index.html) for contributions, questions, or bug reports.  
For CTAN-related issues, please follow the guidelines below.

# Content of the package

The package contains the ```TeX``` and the ```cls``` files needed to create your CV in ```LaTeX```. In the package, there are some examples that you can follow to build your CV.

I apologize if some translations are wrong, but Italian is my mother tongue. I'm trying to improve my English skills, but it is not an easy task. So, please, do not hesitate to correct the information reported in this README.md file.

Therefore, you can independently change the content of the translation files by editing the text in the ```.def``` files. The suffix "it", "de", and so on, indicates the language (e.g., "it" means Italian, "de" German, etc.).

Conversely, the ```.cls``` file contains the heart of the code. You can use it to redefine the package by adding your functionality. In such case, please feel free to share your code with the community members that already use EuropeCV.

> In case you want to make changes or fix bugs in Linux distributions, you can find `europecv.cls` under the `/usr/share/texlive/texmf-dist/tex/latex/europecv` path.

# Pull request template

Well, if you are reading this section it means that you are thinking of helping me to make EuropeCV big! :) Before helping me, developing your features or fixing a bug, please consider the few rules listed below:

1. The DOS style line terminators CRLF (```\r\n```) has to be replaced with Unix style (```\n```) line terminators LF before installing your package.

2. Each change must be reported in the ```CHANGELOG``` file. Please, do not forget to be clear and specify who made this contribution.

3. In the head of each file, there is the date on which the last changes were made. Please, do not forget to update this information. The same procedure must be followed in the tex file ```europecv.tex``` (at the beginning of the file a date says when the file has been changed).

In any case, please take a look at the [Contributing.md](https://github.com/gsilano/EuropeCV/blob/master/CONTRIBUTING.md) file.

# CTAN contact

All CTAN-related correspondence should be directed in English to ctan (at) ctan (dot) org, the common email address of all "CTAN people," rather than to an individual maintainer. This ensures (a) the whole team is informed and (b) you receive a quicker response.

Emails must be in plain text only (HTML is filtered out). For Gmail, use "plain text mode" via the "more options" menu or switch to the "basic HTML view."

Uploads must be done via the CTAN upload form—not by email.

Please avoid sending large attachments to the CTAN address.
